const router = new VueRouter({
	routes: [
		{ path: '/', component: ViewAccessPoints }
	]
})

VueNativeSock.default.install(Vue, `//${location.host}${location.pathname}ws`, {
	store: store,
	format: 'json',
})

const NavbarLogo = {
	template: `<div class="p-navigation__logo" v-bind:class="{ online: isOnline }">
		<a class="p-navigation__link" href="/">Wifictld</a>
	</div>`,
	computed: {
		isOnline () {
			return this.$store.state.socket.isConnected
		}
	}
};


const app = new Vue({
	el: '#app',
	store,
	router,
	components: { NavbarLogo },
})
